Skip to content

Extend Video

POST https://www.kkiai.com/v1/video/extend

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
modelstringRequiredModel name, e.g.: grok-video-3
promptstringRequired
task_idstringRequired
aspect_ratiostringOptionalOptional values: 2:3, 3:2, 1:1. Choose based on the desired aspect ratio for video extension
sizestringOptional720P or 1080P
start_timeintegerRequired
upscalebooleanOptional

Request Example

json
{
    "model": "grok-video-3",
    "prompt": "play with another white cat",
    "task_id": "grok:7fd641dc-437f-44c3-97a2-e3778e0e10fb",
    "size": "1080p",
    "start_time": 3,
    "upscale": false
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/video/extend' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "grok-video-3",
    "prompt": "play with another white cat",
    "task_id": "grok:7fd641dc-437f-44c3-97a2-e3778e0e10fb",
    "size": "1080p",
    "start_time": 3,
    "upscale": false
}'

Response

🟢 200 Success

Response Example

json
{}